VickScarlet/lifeRestart 软件分析报告

基础信息

项目名称:VickScarlet/lifeRestart

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758274862679560192/1758274862721503232

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
ansi-html 拒绝服务 MPS-2021-17628 CVE-2021-23424 高危
ansi-regex 正则表达式拒绝服务漏洞 不充分的比较 MPS-2021-32077 CVE-2021-3807 高危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
Digital Bazaar Forge 存在输入验证错误漏洞 跨站重定向 MPS-2022-0421 CVE-2022-0122 中危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
node-forge 原型污染 MPS-2022-13920 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
node-forge 密码签名验证不当漏洞 密码学签名的验证不恰当 MPS-2022-3738 CVE-2022-24771 高危
node-forge 密码签名验证不当漏洞 密码学签名的验证不恰当 MPS-2022-3739 CVE-2022-24772 高危
node-forge 密码签名验证不当漏洞 密码学签名的验证不恰当 MPS-2022-3740 CVE-2022-24773 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
terser 安全漏洞 ReDoS MPS-2022-5145 CVE-2022-25858 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53512 CVE-2022-37599 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53516 CVE-2022-37603 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
follow-redirects 输入验证不恰当 MPS-2023-5153 CVE-2023-26159 高危
Webpack 安全漏洞 MPS-2023-7721 CVE-2023-28154 严重
Babel 插件任意代码执行漏洞漏洞 不完整的黑名单 MPS-avb9-j50z CVE-2023-45133 严重
IP包isPublic函数判断不严 对数据真实性的验证不充分 MPS-svdp-96t3 CVE-2023-42282 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
follow-redirects 1.14.3 1.15.4 间接依赖 强烈建议修复
qs 6.7.0 6.7.3 间接依赖 建议修复
ansi-regex 6.0.0 6.0.1 间接依赖 建议修复
terser 5.10.0 5.14.2 间接依赖 建议修复
ip 1.1.5 间接依赖 建议修复
@babel/traverse 7.15.4 7.23.2 间接依赖 建议修复
terser 5.7.2 5.14.2 间接依赖 建议修复
express 4.17.1 4.17.3 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
webpack 5.64.4 5.76.0 直接依赖 建议修复
loader-utils 1.4.0 1.4.2 间接依赖 建议修复
ansi-html 0.0.7 0.0.8 间接依赖 建议修复
node-forge 0.10.0 1.3.0 间接依赖 建议修复
json5 1.0.1 1.0.2 间接依赖 建议修复
semver 7.0.0 7.5.2 间接依赖 可选修复
semver 6.3.0 7.5.2 间接依赖 可选修复
async 2.6.3 2.6.4 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 437
ISC 25
Python-2.0 1
BSD-3-Clause 6
Apache-2.0 18
BSD-2-Clause 18
CC-BY-4.0 1
0BSD 1
Unlicense 2

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
@babel/plugin-proposal-export-namespace-from 7.14.5 间接依赖 npm
webpack-merge 5.8.0 间接依赖 npm
has-symbols 1.0.2 间接依赖 npm
toidentifier 1.0.0 间接依赖 npm
inherits 2.0.3 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
@webpack-cli/serve 1.5.2 间接依赖 npm
jest-worker 27.1.0 间接依赖 npm
detect-node 2.1.0 间接依赖 npm
@babel/plugin-transform-function-name 7.14.5 间接依赖 npm
has-tostringtag 1.0.0 间接依赖 npm
argparse 2.0.1 间接依赖 npm
@babel/helper-split-export-declaration 7.15.4 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
@webassemblyjs/utf8 1.11.1 间接依赖 npm
@babel/plugin-transform-computed-properties 7.14.5 间接依赖 npm
async 2.6.3 间接依赖 npm
vary 1.1.2 间接依赖 npm
babel-plugin-polyfill-corejs3 0.2.4 间接依赖 npm
@babel/helpers 7.15.4 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
finalhandler 1.1.2 间接依赖 npm
del 6.0.0 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
source-map 0.5.7 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
acorn 8.4.1 间接依赖 npm
debug 2.6.9 间接依赖 npm
mime-types 2.1.32 间接依赖 npm
frac 1.1.2 间接依赖 npm
@babel/plugin-syntax-async-generators 7.8.4 间接依赖 npm
setprototypeof 1.1.0 间接依赖 npm
unicode-match-property-ecmascript 1.0.4 间接依赖 npm
unicode-canonical-property-names-ecmascript 1.0.4 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
@babel/plugin-transform-modules-umd 7.14.5 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
@babel/plugin-transform-literals 7.14.5 间接依赖 npm
@babel/plugin-transform-parameters 7.15.4 间接依赖 npm
envinfo 7.8.1 间接依赖 npm
is-date-object 1.0.5 间接依赖 npm
unicode-property-aliases-ecmascript 1.1.0 间接依赖 npm
picomatch 2.3.0 间接依赖 npm
strip-ansi 7.0.0 间接依赖 npm
@babel/plugin-syntax-object-rest-spread 7.8.3 间接依赖 npm
@babel/helper-optimise-call-expression 7.15.4 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
css-what 5.1.0 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
@webassemblyjs/ieee754 1.11.1 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
caniuse-lite 1.0.30001252 间接依赖 npm
tslib 2.3.1 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
@babel/plugin-proposal-class-properties 7.14.5 间接依赖 npm
@babel/plugin-syntax-class-static-block 7.14.5 间接依赖 npm
@babel/plugin-proposal-numeric-separator 7.14.5 间接依赖 npm
webpack-cli 4.8.0 直接依赖 npm
electron-to-chromium 1.3.828 间接依赖 npm
@webpack-cli/info 1.3.0 间接依赖 npm
path-type 4.0.0 间接依赖 npm
hpack.js 2.1.6 间接依赖 npm
chokidar 3.5.2 间接依赖 npm
debug 3.2.7 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
css-select 4.1.3 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
statuses 1.5.0 间接依赖 npm
@babel/plugin-transform-dotall-regex 7.14.5 间接依赖 npm
shallow-clone 3.0.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
emojis-list 3.0.0 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
object-is 1.1.5 间接依赖 npm
@webassemblyjs/wast-printer 1.11.1 间接依赖 npm
path-to-regexp 0.1.7 间接依赖 npm
get-intrinsic 1.1.1 间接依赖 npm
@babel/plugin-proposal-dynamic-import 7.14.5 间接依赖 npm
@babel/plugin-transform-arrow-functions 7.14.5 间接依赖 npm
@babel/plugin-syntax-optional-chaining 7.8.3 间接依赖 npm
word 0.3.0 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
forwarded 0.2.0 间接依赖 npm
raw-body 2.4.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
@babel/plugin-proposal-object-rest-spread 7.14.7 间接依赖 npm
@babel/plugin-proposal-optional-catch-binding 7.14.5 间接依赖 npm
chalk 2.4.2 间接依赖 npm
tapable 2.2.0 间接依赖 npm
fs-monkey 1.0.3 间接依赖 npm
ipaddr.js 1.9.1 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
readable-stream 3.6.0 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
setprototypeof 1.1.1 间接依赖 npm
websocket-driver 0.7.4 间接依赖 npm
@types/json-schema 7.0.9 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
node-forge 0.10.0 间接依赖 npm
p-defer 1.0.0 间接依赖 npm
clean-css 5.2.2 间接依赖 npm
fast-glob 3.2.7 间接依赖 npm
@babel/plugin-transform-for-of 7.15.4 间接依赖 npm
is-arguments 1.1.1 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
multicast-dns 6.2.3 间接依赖 npm
@babel/plugin-transform-reserved-words 7.14.5 间接依赖 npm
minimist 1.2.5 间接依赖 npm
babel-plugin-dynamic-import-node 2.3.3 间接依赖 npm
regenerate 1.4.2 间接依赖 npm
mime-db 1.49.0 间接依赖 npm
@babel/plugin-syntax-private-property-in-object 7.14.5 间接依赖 npm
@babel/preset-modules 0.1.4 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
has 1.0.3 间接依赖 npm
is-core-module 2.6.0 间接依赖 npm
braces 3.0.2 间接依赖 npm
send 0.17.1 间接依赖 npm
buffer-indexof 1.1.1 间接依赖 npm
faye-websocket 0.11.4 间接依赖 npm
big.js 5.2.2 间接依赖 npm
@babel/plugin-transform-named-capturing-groups-regex 7.14.9 间接依赖 npm
graceful-fs 4.2.8 间接依赖 npm
@babel/helper-validator-identifier 7.14.9 间接依赖 npm
follow-redirects 1.14.3 间接依赖 npm
commander 8.3.0 间接依赖 npm
array-flatten 1.1.1 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
@babel/compat-data 7.15.0 间接依赖 npm
@babel/helper-function-name 7.15.4 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
@babel/plugin-transform-duplicate-keys 7.14.5 间接依赖 npm
@babel/plugin-transform-exponentiation-operator 7.14.5 间接依赖 npm
lodash 4.17.21 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
@babel/plugin-transform-spread 7.14.6 间接依赖 npm
@babel/helper-simple-access 7.15.4 间接依赖 npm
@babel/plugin-syntax-nullish-coalescing-operator 7.8.3 间接依赖 npm
dot-case 3.0.4 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
resolve 1.20.0 间接依赖 npm
handle-thing 2.0.1 间接依赖 npm
on-headers 1.0.2 间接依赖 npm
xlsx 0.17.1 间接依赖 npm
camel-case 4.1.2 间接依赖 npm
cookie 0.4.0 间接依赖 npm
@babel/plugin-syntax-numeric-separator 7.10.4 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
@types/estree 0.0.50 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
memfs 3.2.4 间接依赖 npm
semver 7.0.0 间接依赖 npm
no-case 3.0.4 间接依赖 npm
spdy 4.0.2 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
@babel/plugin-transform-property-literals 7.14.5 间接依赖 npm
@babel/plugin-transform-shorthand-properties 7.14.5 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
@babel/plugin-transform-typeof-symbol 7.14.5 间接依赖 npm
ajv 6.12.6 间接依赖 npm
pascal-case 3.1.2 间接依赖 npm
acorn-import-assertions 1.7.6 间接依赖 npm
is-plain-obj 3.0.0 间接依赖 npm
he 1.2.0 间接依赖 npm
@babel/helper-replace-supers 7.15.4 间接依赖 npm
babel-plugin-polyfill-corejs2 0.2.2 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
@discoveryjs/json-ext 0.5.3 间接依赖 npm
http-errors 1.7.3 间接依赖 npm
find-up 4.1.0 间接依赖 npm
terser-webpack-plugin 5.2.2 间接依赖 npm
ms 2.1.1 间接依赖 npm
@webassemblyjs/floating-point-hex-parser 1.11.1 间接依赖 npm
wbuf 1.7.3 间接依赖 npm
@babel/plugin-proposal-class-static-block 7.15.4 间接依赖 npm
schema-utils 3.1.1 间接依赖 npm
enhanced-resolve 5.8.3 间接依赖 npm
parseurl 1.3.3 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
obuf 1.1.2 间接依赖 npm
@babel/plugin-transform-template-literals 7.14.5 间接依赖 npm
webpack-dev-middleware 5.0.0 间接依赖 npm
@babel/plugin-transform-modules-systemjs 7.15.4 间接依赖 npm
@babel/preset-env 7.15.4 直接依赖 npm
find-cache-dir 3.3.2 间接依赖 npm
@babel/code-frame 7.14.5 间接依赖 npm
@babel/plugin-transform-object-super 7.14.5 间接依赖 npm
core-js-compat 3.17.2 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
printj 1.1.2 间接依赖 npm
destroy 1.0.4 间接依赖 npm
http-proxy 1.18.1 间接依赖 npm
ipaddr.js 2.0.1 间接依赖 npm
@babel/template 7.15.4 间接依赖 npm
globals 11.12.0 间接依赖 npm
content-type 1.0.4 间接依赖 npm
type-is 1.6.18 间接依赖 npm
accepts 1.3.7 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
sockjs 0.3.21 间接依赖 npm
json5 1.0.1 间接依赖 npm
domutils 2.8.0 间接依赖 npm
dns-txt 2.0.2 间接依赖 npm
@babel/plugin-transform-regenerator 7.14.5 间接依赖 npm
p-retry 4.6.1 间接依赖 npm
@webassemblyjs/helper-numbers 1.11.1 间接依赖 npm
@babel/parser 7.15.4 间接依赖 npm
ansi-html 0.0.7 间接依赖 npm
@babel/helper-builder-binary-assignment-operator-visitor 7.15.4 间接依赖 npm
@types/html-minifier-terser 6.1.0 间接依赖 npm
commander 8.2.0 间接依赖 npm
@babel/plugin-syntax-json-strings 7.8.3 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
encodeurl 1.0.2 间接依赖 npm
@babel/plugin-syntax-dynamic-import 7.8.3 间接依赖 npm
import-local 3.0.2 间接依赖 npm
bonjour 3.5.0 间接依赖 npm
pretty-error 4.0.0 间接依赖 npm
babel-plugin-polyfill-regenerator 0.2.2 间接依赖 npm
http-deceiver 1.2.7 间接依赖 npm
@webassemblyjs/wasm-edit 1.11.1 间接依赖 npm
@babel/types 7.15.4 间接依赖 npm
portfinder 1.0.28 间接依赖 npm
fastest-levenshtein 1.0.12 间接依赖 npm
@babel/plugin-proposal-async-generator-functions 7.15.4 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
@babel/core 7.15.4 直接依赖 npm
body-parser 1.19.0 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
param-case 3.0.4 间接依赖 npm
commander 2.20.3 间接依赖 npm
@babel/plugin-transform-unicode-regex 7.14.5 间接依赖 npm
@babel/helper-validator-option 7.14.5 间接依赖 npm
mem 8.1.1 间接依赖 npm
@babel/plugin-transform-unicode-escapes 7.14.5 间接依赖 npm
crc-32 1.2.0 间接依赖 npm
@babel/plugin-transform-destructuring 7.14.7 间接依赖 npm
ms 2.0.0 间接依赖 npm
anymatch 3.1.2 间接依赖 npm
globby 11.0.4 间接依赖 npm
@babel/plugin-proposal-optional-chaining 7.14.5 间接依赖 npm
is-number 7.0.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
source-map 0.6.1 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
regjsparser 0.6.9 间接依赖 npm
@babel/plugin-transform-block-scoped-functions 7.14.5 间接依赖 npm
regexpu-core 4.7.1 间接依赖 npm
retry 0.13.1 间接依赖 npm
slash 3.0.0 间接依赖 npm
@babel/plugin-transform-new-target 7.14.5 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
v-transform 2.0.1 直接依赖 npm
@babel/helper-member-expression-to-functions 7.15.4 间接依赖 npm
es-module-lexer 0.9.3 间接依赖 npm
deep-equal 1.1.1 间接依赖 npm
glob 8.0.3 间接依赖 npm
@babel/plugin-bugfix-v8-spread-parameters-in-optional-chaining 7.15.4 间接依赖 npm
lodash.debounce 4.0.8 间接依赖 npm
webpack 5.64.4 直接依赖 npm
@babel/helper-plugin-utils 7.14.5 间接依赖 npm
minimalistic-assert 1.0.1 间接依赖 npm
bytes 3.1.0 间接依赖 npm
supports-color 8.1.1 间接依赖 npm
@babel/helper-explode-assignable-expression 7.15.4 间接依赖 npm
domelementtype 2.2.0 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
serialize-javascript 6.0.0 间接依赖 npm
entities 2.2.0 间接依赖 npm
negotiator 0.6.2 间接依赖 npm
source-map-support 0.5.19 间接依赖 npm
clone-deep 4.0.1 间接依赖 npm
http-errors 1.6.3 间接依赖 npm
p-timeout 3.2.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
http-parser-js 0.5.3 间接依赖 npm
@xtuc/ieee754 1.2.0 间接依赖 npm
regjsgen 0.5.2 间接依赖 npm
@babel/plugin-proposal-private-methods 7.14.5 间接依赖 npm
url 0.11.0 间接依赖 npm
@babel/highlight 7.14.5 间接依赖 npm
execa 5.1.1 间接依赖 npm
cookie-signature 1.0.6 间接依赖 npm
array-union 2.1.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
semver 6.3.0 间接依赖 npm
@babel/plugin-transform-modules-commonjs 7.15.4 间接依赖 npm
loader-runner 4.2.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
events 3.3.0 间接依赖 npm
compressible 2.0.18 间接依赖 npm
webpack-dev-server 4.1.0 直接依赖 npm
wildcard 2.0.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
rechoir 0.7.1 间接依赖 npm
cfb 1.2.0 间接依赖 npm
@babel/helper-define-polyfill-provider 0.2.3 间接依赖 npm
thunky 1.1.0 间接依赖 npm
select-hose 2.0.0 间接依赖 npm
utils-merge 1.0.1 间接依赖 npm
@types/http-proxy 1.17.7 间接依赖 npm
@babel/helper-compilation-targets 7.15.4 间接依赖 npm
debug 4.3.2 间接依赖 npm
@babel/traverse 7.15.4 间接依赖 npm
uuid 3.4.0 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
@babel/plugin-syntax-class-properties 7.12.13 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
spdy-transport 3.0.0 间接依赖 npm
@types/retry 0.12.1 间接依赖 npm
@webassemblyjs/leb128 1.11.1 间接依赖 npm
serve-static 1.14.1 间接依赖 npm
@webassemblyjs/helper-buffer 1.11.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
@babel/helper-module-imports 7.15.4 间接依赖 npm
@babel/plugin-transform-async-to-generator 7.14.5 间接依赖 npm
once 1.4.0 间接依赖 npm
@babel/plugin-syntax-top-level-await 7.14.5 间接依赖 npm
multicast-dns-service-types 1.1.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
string_decoder 1.3.0 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
@babel/plugin-proposal-json-strings 7.14.5 间接依赖 npm
browserslist 4.16.8 间接依赖 npm
core-util-is 1.0.3 间接依赖 npm
@babel/plugin-proposal-unicode-property-regex 7.14.5 间接依赖 npm
which 2.0.2 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
@babel/helper-skip-transparent-expression-wrappers 7.15.4 间接依赖 npm
regexp.prototype.flags 1.3.1 间接依赖 npm
@types/eslint-scope 3.7.1 间接依赖 npm
chrome-trace-event 1.0.3 间接依赖 npm
@types/eslint 7.28.0 间接依赖 npm
is-ip 3.1.0 间接依赖 npm
punycode 1.3.2 间接依赖 npm
ip-regex 4.3.0 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
htmlparser2 6.1.0 间接依赖 npm
@webassemblyjs/wasm-parser 1.11.1 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
jsesc 0.5.0 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
@babel/plugin-transform-classes 7.15.4 间接依赖 npm
fflate 0.3.11 间接依赖 npm
watchpack 2.3.0 间接依赖 npm
brace-expansion 2.0.1 间接依赖 npm
mime 1.6.0 间接依赖 npm
tapable 2.2.1 间接依赖 npm
etag 1.8.1 间接依赖 npm
qs 6.7.0 间接依赖 npm
selfsigned 1.10.11 间接依赖 npm
@webassemblyjs/helper-api-error 1.11.1 间接依赖 npm
codepage 1.15.0 间接依赖 npm
querystring 0.2.0 间接依赖 npm
isobject 3.0.1 间接依赖 npm
range-parser 1.2.1 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
ansi-regex 6.0.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
http-proxy-middleware 2.0.1 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
core-js 3.17.2 直接依赖 npm
batch 0.6.1 间接依赖 npm
dns-equal 1.0.0 间接依赖 npm
@babel/helper-hoist-variables 7.15.4 间接依赖 npm
@babel/plugin-transform-modules-amd 7.14.5 间接依赖 npm
merge2 1.4.1 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
html-entities 2.3.2 间接依赖 npm
@webassemblyjs/wasm-opt 1.11.1 间接依赖 npm
json5 2.2.0 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
@babel/helper-wrap-function 7.15.4 间接依赖 npm
array-flatten 2.1.2 间接依赖 npm
domhandler 4.2.2 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
readable-stream 2.3.7 间接依赖 npm
@babel/plugin-proposal-nullish-coalescing-operator 7.14.5 间接依赖 npm
glob-to-regexp 0.4.1 间接依赖 npm
@babel/helper-get-function-arity 7.15.4 间接依赖 npm
compression 1.7.4 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
fastq 1.12.0 间接依赖 npm
@webpack-cli/configtest 1.0.4 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
v8-compile-cache 2.3.0 间接依赖 npm
is-path-cwd 2.2.0 间接依赖 npm
escape-html 1.0.3 间接依赖 npm
inflight 1.0.6 间接依赖 npm
internal-ip 6.2.0 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
html-webpack-plugin 5.5.0 直接依赖 npm
express 4.17.1 间接依赖 npm
proxy-addr 2.0.7 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
renderkid 3.0.0 间接依赖 npm
p-event 4.2.0 间接依赖 npm
eventemitter3 4.0.7 间接依赖 npm
dns-packet 1.3.4 间接依赖 npm
@babel/runtime 7.15.4 间接依赖 npm
methods 1.1.2 间接依赖 npm
fsevents 2.3.2 直接依赖 npm
http-errors 1.7.2 间接依赖 npm
terser 5.7.2 间接依赖 npm
nth-check 2.0.1 间接依赖 npm
unicode-match-property-value-ecmascript 1.2.0 间接依赖 npm
regenerator-runtime 0.13.9 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
minimatch 5.1.0 间接依赖 npm
@types/node 16.7.10 间接依赖 npm
relateurl 0.2.7 间接依赖 npm
is-stream 2.0.1 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
@babel/plugin-transform-sticky-regex 7.14.5 间接依赖 npm
terser 5.10.0 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
@babel/plugin-transform-member-expression-literals 7.14.5 间接依赖 npm
json-parse-better-errors 1.0.2 间接依赖 npm
punycode 2.1.1 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
@babel/plugin-proposal-private-property-in-object 7.15.4 间接依赖 npm
adler-32 1.2.0 间接依赖 npm
node-releases 1.1.75 间接依赖 npm
commander 7.2.0 间接依赖 npm
bytes 3.0.0 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
define-lazy-prop 2.0.0 间接依赖 npm
map-age-cleaner 0.1.3 间接依赖 npm
babel-loader 8.2.2 直接依赖 npm
has-flag 4.0.0 间接依赖 npm
micromatch 4.0.4 间接依赖 npm
@babel/helper-module-transforms 7.15.4 间接依赖 npm
@babel/helper-create-class-features-plugin 7.15.4 间接依赖 npm
source-map-support 0.5.21 间接依赖 npm
colorette 1.3.0 间接依赖 npm
content-disposition 0.5.3 间接依赖 npm
ip 1.1.5 间接依赖 npm
connect-history-api-fallback 1.6.0 间接依赖 npm
mimic-fn 3.1.0 间接依赖 npm
open 8.2.1 间接依赖 npm
webpack-sources 3.2.2 间接依赖 npm
wmf 1.0.2 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
onetime 5.1.2 间接依赖 npm
schema-utils 2.7.1 间接依赖 npm
fresh 0.5.2 间接依赖 npm
@webassemblyjs/ast 1.11.1 间接依赖 npm
html-minifier-terser 6.1.0 间接依赖 npm
dom-serializer 1.3.2 间接依赖 npm
depd 1.1.2 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
websocket-extensions 0.1.4 间接依赖 npm
@babel/plugin-proposal-logical-assignment-operators 7.14.5 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
@xtuc/long 4.2.2 间接依赖 npm
@babel/plugin-syntax-export-namespace-from 7.8.3 间接依赖 npm
@webassemblyjs/wasm-gen 1.11.1 间接依赖 npm
serve-index 1.9.1 间接依赖 npm
lower-case 2.0.2 间接依赖 npm
interpret 2.2.0 间接依赖 npm
exit-on-epipe 1.0.1 间接依赖 npm
@babel/helper-annotate-as-pure 7.15.4 间接依赖 npm
ignore 5.1.8 间接依赖 npm
loader-utils 1.4.0 间接依赖 npm
commondir 1.0.1 间接依赖 npm
ms 2.1.3 间接依赖 npm
@babel/helper-create-regexp-features-plugin 7.14.5 间接依赖 npm
regenerate-unicode-properties 8.2.0 间接依赖 npm
source-map 0.7.3 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
utila 0.4.0 间接依赖 npm
@babel/plugin-syntax-optional-catch-binding 7.8.3 间接依赖 npm
@webassemblyjs/helper-wasm-section 1.11.1 间接依赖 npm
isarray 1.0.0 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
ssf 0.11.2 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
convert-source-map 1.8.0 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
boolbase 1.0.0 间接依赖 npm
glob 7.1.7 间接依赖 npm
media-typer 0.3.0 间接依赖 npm
ws 8.2.1 间接依赖 npm
estraverse 5.2.0 间接依赖 npm
p-map 4.0.0 间接依赖 npm
merge-descriptors 1.0.1 间接依赖 npm
default-gateway 6.0.3 间接依赖 npm
@babel/plugin-transform-block-scoping 7.15.3 间接依赖 npm
commander 2.17.1 间接依赖 npm
@babel/helper-remap-async-to-generator 7.15.4 间接依赖 npm
@babel/generator 7.15.4 间接依赖 npm
regenerator-transform 0.14.5 间接依赖 npm
@webassemblyjs/helper-wasm-bytecode 1.11.1 间接依赖 npm
@babel/plugin-syntax-logical-assignment-operators 7.10.4 间接依赖 npm
isexe 2.0.0 间接依赖 npm
ajv-keywords 3.5.2 间接依赖 npm
dom-converter 0.2.0 间接依赖 npm
(0)
上一篇 2024年2月16日
下一篇 2024年2月16日

相关推荐

  • handosme/mybatis-generator-plus 软件分析报告

    基础信息 项目名称:handosme/mybatis-generator-plus 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718462257171316736/1718462257209065472 此报…

    软件分析 2023年10月29日
    0
  • jakzal/phpqa 软件分析报告

    基础信息 项目名称:jakzal/phpqa 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718950412711231488/1718950413453623296 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年10月30日
    0
  • amethyst/laminar 软件分析报告

    基础信息 项目名称:amethyst/laminar 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715759337670574080/1715759337817374720 此报告由Murphysec提供 漏…

    软件分析 2023年10月23日
    0
  • elastic/eui 软件分析报告

    基础信息 项目名称:elastic/eui 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717417264268754944/1717417264428138496 此报告由Murphysec提供 漏洞列表 漏…

    软件分析 2023年10月26日
    0
  • iSoron/uhabits 软件分析报告

    基础信息 项目名称:iSoron/uhabits 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718894817076625408/1755893630158352384 此报告由Murphysec提供 漏洞列…

    软件分析 2024年2月9日
    0